package it.sw.pa.comune.artegna.service.mapper;

import static it.sw.pa.comune.artegna.domain.PrenotazioneAsserts.*;
import static it.sw.pa.comune.artegna.domain.PrenotazioneTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class PrenotazioneMapperTest {

    private PrenotazioneMapper prenotazioneMapper;

    @BeforeEach
    void setUp() {
        prenotazioneMapper = new PrenotazioneMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getPrenotazioneSample1();
        var actual = prenotazioneMapper.toEntity(prenotazioneMapper.toDto(expected));
        assertPrenotazioneAllPropertiesEquals(expected, actual);
    }
}
